WordPress5.0とPHP7.3

このサイトはさっとバージョンアップして何も問題なく。新投稿画面のブロックエディター(元Gutenberg)も最初から使ってたのでそのまま使っていく。

自分はいいけど他の人はやはり使えないので旧投稿画面に戻してる。

PHP7.3も7.2で動いてたなら問題ないはずだけどテーマやプラグインで古い書き方をしていたら将来的には確実に動かなくなる。早めに修正するように言ってるけどこれも誰も何もしない。

多いのはPHP4時代のclassコンストラクタ。create_function。=&。デバッグモードをオンにしたPHP7.2で動かせば大量のエラーが出て気付くはずだけどいくら言ってもたったそれだけのことさえやらないから気付かない。